Skip to main content
GET
Get a fee wrapper
Wait for status: ready before allowing deposits. Ready responses include the wrapper address, underlying gVault, fee configuration, TVL, and liquidity.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Fee-wrapper state and fee configuration.

id
string<uuid>
required
requestId
string<uuid>
required
gVaultId
string
required
status
enum<string>
required
Available options:
provisioning,
ready,
failed
contractAddress
string | null
required
feeRecipientAddress
string
required
performanceFeeBps
integer
required
maxPerformanceFeeBps
integer
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required